This package has been deprecated

Author message:

Package no longer supported. Contact Support at https://www.npmjs.com/support for more info.

@growcss/eslint-config

1.1.1 • Public • Published

eslint config

This package provides GrowCss's .eslintrc as an extensible shared config.

Usage

@growcss/eslint-config

Our default export contains all of our ESLint rules, including ECMAScript 6+ and React. It requires eslint, eslint-config-prettier, eslint-plugin-compat, eslint-plugin-jest, eslint-plugin-import, eslint-plugin-jsdoc, eslint-plugin-jsx-a11y, eslint-plugin-prefer-object-spread, eslint-plugin-prettier, eslint-plugin-promise, eslint-plugin-react, eslint-plugin-security, eslint-plugin-unicorn, @typescript-eslint/parser, @typescript-eslint/eslint-plugin, prettier, prettier-eslint.

Install each package listed below for the default @growcss/eslint-config.

npm i --save-dev @growcss/eslint-config eslint eslint-config-prettier eslint-plugin-jest eslint-plugin-jsx-a11y eslint-plugin-prefer-object-spread eslint-plugin-prettier eslint-plugin-react eslint-plugin-security @typescript-eslint/parser @typescript-eslint/eslint-plugin prettier prettier-eslint

Package Sidebar

Install

npm i @growcss/eslint-config

Homepage

growcss.com

Weekly Downloads

0

Version

1.1.1

License

MIT

Unpacked Size

14.3 kB

Total Files

14

Last publish

Collaborators

  • prisis